StackMoreLayersДокументация
APIReference

Загрузить содержимое файла для сабмита

PUT
/competitions/{competition_id}/submission-uploads/content/
АвторизацияBearer <token>

StackMoreLayers API token. Send as Authorization: Bearer sml_pat_live_<prefix>.<secret>.

In: header

Параметры пути

competition_id*integer

Numeric competition identifier.

Range1 <= value

Заголовки

X-SML-Upload-Session*string

Opaque, API-token-bound resumable upload session. Treat it as a secret: do not log it or send it to Object Storage.

Length32 <= length <= 6144

Тело запроса

application/octet-stream

Типы TypeScript

Use the request body type in TypeScript.

body*file
Formatbinary

Ответ

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/competitions/1/submission-uploads/content/" \  -H "X-SML-Upload-Session: stringstringstringstringstringst" \  -H "Content-Type: application/octet-stream" \  -d 'string'
{  "status": "uploaded",  "expires_in_seconds": 0}